Automattic Automattic

mongoose

17 18 0

MongoDB object modeling designed to work in an asynchronous environment.

You have 5 open security alerts

Dependencies

Package Locked Requirement Latest Status Changelog
Npms async 2.1.4 2.1.4 2.6.0

async version 2.1.4

Higher-order functions and common patterns for asynchronous code

This dependency is not matching latest version. Please consider upgrading.

Npms bson 1.0.4 ~1.0.4 1.0.4

bson version 1.0.4

A bson parser for node.js and the browser

This dependency is up-to-date. Congrats and keep going!

Npms kareem 2.0.3 2.0.3 2.0.4

kareem version 2.0.3

Next-generation take on pre/post function hooks

This dependency is not matching latest version. Please consider upgrading.

Npms lodash.get 4.4.2 4.4.2 4.4.2

lodash.get version 4.4.2

The lodash method `_.get` exported as a module.

This dependency is up-to-date. Congrats and keep going!

Npms mongodb 3.0.2 3.0.2 3.0.2

mongodb version 3.0.2

The official MongoDB driver for Node.js

This dependency is up-to-date. Congrats and keep going!

Npms mongoose-legacy-pluralize 1.0.2 1.0.2 1.0.2

mongoose-legacy-pluralize version 1.0.2

Legacy pluralization logic for mongoose

This dependency is up-to-date. Congrats and keep going!

Npms mpath 0.3.0 0.3.0 0.3.0

mpath version 0.3.0

{G,S}et object values using MongoDB-like path notation

This dependency is up-to-date. Congrats and keep going!

Npms mquery 3.0.0 3.0.0 3.0.0

mquery version 3.0.0

Expressive query building for MongoDB

This dependency is up-to-date. Congrats and keep going!

Npms ms 2.0.0 2.0.0 2.1.1

ms version 2.0.0

Tiny millisecond conversion utility

This dependency is not matching latest version. Please consider upgrading.

Npms regexp-clone 0.0.1 0.0.1 0.0.1

regexp-clone version 0.0.1

Clone RegExps with options

This dependency is up-to-date. Congrats and keep going!

Npms sliced 0.0.5 1.0.1 1.0.1

sliced version 0.0.5

A faster Node.js alternative to Array.prototype.slice.call(arguments)

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms acquit 0.5.1 0.5.1 0.6.0

acquit version 0.5.1

Parse BDD-style tests (Mocha, Jasmine) to generate documentation

This dependency is not matching latest version. Please consider upgrading.

Npms acquit-ignore 0.0.3 0.0.3 0.0.3

acquit-ignore version 0.0.3

Acquit plugin for removing lines of code from output

This dependency is up-to-date. Congrats and keep going!

Npms benchmark 2.1.2 2.1.2 2.1.4

benchmark version 2.1.2

A benchmarking library that supports high-resolution timers & returns statistically significant results.

This dependency is not matching latest version. Please consider upgrading.

Npms bluebird 3.5.0 3.5.0 3.5.1

bluebird version 3.5.0

Full featured Promises/A+ implementation with exceptionally good performance

This dependency is not matching latest version. Please consider upgrading.

Npms co 4.6.0 4.6.0 4.6.0

co version 4.6.0

generator async control flow goodness

This dependency is up-to-date. Congrats and keep going!

Npms dox 0.3.1 0.3.1 0.9.0

dox version 0.3.1

Markdown / JSdoc documentation generator

This dependency is not matching latest version. Please consider upgrading.

Npms eslint 4.14.0 4.14.0 4.18.0

eslint version 4.14.0

An AST-based pattern checker for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms highlight.js 9.1.0 9.1.0 9.12.0

highlight.js version 9.1.0

Syntax highlighting with language autodetection.

This dependency is not matching latest version. Please consider upgrading.

Npms jade 1.11.0 1.11.0 1.11.0

jade version 1.11.0

A clean, whitespace-sensitive template language for writing HTML

This dependency is up-to-date. Congrats and keep going!

Npms lodash 4.17.4 4.16.6 4.17.5

lodash version 4.17.4

Lodash modular utilities.

This dependency is not matching latest version. Please consider upgrading.

Npms markdown 0.5.0 0.5.0 0.5.0

markdown version 0.5.0

A sensible Markdown parser for javascript

This dependency is up-to-date. Congrats and keep going!

Npms marked 0.3.9 0.3.9 0.3.15

marked version 0.3.9

A markdown parser built for speed

This dependency is not matching latest version. Please consider upgrading.

Npms mocha 4.1.0 4.1.0 5.0.0

mocha version 4.1.0

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms mongodb-topology-manager 1.0.11 1.0.11 2.0.0

mongodb-topology-manager version 1.0.11

Localhost MongoDB Topology Management API

This dependency is not matching latest version. Please consider upgrading.

Npms mongoose-long 0.1.1 0.1.1 0.1.1

mongoose-long version 0.1.1

Long number type for Mongoose

This dependency is up-to-date. Congrats and keep going!

Npms node-static 0.7.10 0.7.10 0.7.10

node-static version 0.7.10

simple, compliant file streaming module for node

This dependency is up-to-date. Congrats and keep going!

Npms nsp 2.8.1 ~2.8.1 3.2.1

nsp version 2.8.1

The Node Security (nodesecurity.io) command line interface

This dependency is not matching latest version. Please consider upgrading.

Npms nyc 11.4.1 11.4.1 11.4.1

nyc version 11.4.1

the Istanbul command line interface

This dependency is up-to-date. Congrats and keep going!

Npms power-assert 1.4.1 1.4.1 1.4.4

power-assert version 1.4.1

Power Assert in JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms q 1.5.1 1.5.1 1.5.1

q version 1.5.1

A library for promises (CommonJS/Promises/A,B,D)

This dependency is up-to-date. Congrats and keep going!

Npms tbd 0.6.4 0.6.4 0.6.4

tbd version 0.6.4

tbd is a test data building library, allowing you to quickly spin up large amounts of fake data to be pumped into tests

This dependency is up-to-date. Congrats and keep going!

Npms uuid 2.0.3 2.0.3 3.2.1

uuid version 2.0.3

RFC4122 (v1, v4, and v5) UUIDs

This dependency is not matching latest version. Please consider upgrading.

Npms uuid-parse 1.0.0 1.0.0 1.0.0

uuid-parse version 1.0.0

RFC4122 UUID parser

This dependency is up-to-date. Congrats and keep going!

Npms validator 5.4.0 5.4.0 9.4.1

validator version 5.4.0

String validation and sanitization

This dependency is not matching latest version. Please consider upgrading.